Recurring - Your Recurring Purchase

Re-Process your existing purchase

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

The following parameters are available to re-process a credit/debit card sale. This endpoint can only be used if USER.COMPANY_NAME processed the original (first) payment.

parameterdescriptionrequired
midthe Merchant Id (MID) assigned by USER.COMPANY_NAME or your merchant service provider (MSP)Yes
toptType Of Payment Transaction - set a value to simply tag and/or route a transaction to a pre-defined provider.No
reference_idA reference id that will be echo'd back in the message response.No
service_chargethe amount of the total sum of this transaction that is made up of the service_chargeNo
transaction_idthe unique transaction id of your original saleYes
cvvsupply the card validation value of the tokenized card for security purposesNo
is_recurringis this a recurring transaction (0 or 1)
default = 1
No
metadataa set of key-value pairs that you can attach to a payment. This can be useful for storing additional information about the payment in a structured format.No
JSON Example

The following JSON example provides test values to re-process a sale. You can copy and paste these values in the Body Params section below to be used by the Try It feature

{
  "transaction_data": {
    "mid": "887728202",
    "amount": "1.5",
    "transaction_id": "`{trxn_id}`",
    "cvv": "123"
  }
}
  • Link to details on related response codes.
  • [Payment Response Codes](doc:payment-response-codes)
Body Params
transaction_data
object
required
Headers
string
required
length ≤ 24
Defaults to T6554252567241061980

The unique key identifying the app making this request.

NOTE: If testing use T6554252567241061980 for the Qor-App-Key header key.

string
required
Defaults to 01dffeb784c64d098c8c691ea589eb82

The Client key represents an authorized merchant account and is assigned by QorCommerce or your merchant service account provider.

NOTE: If testing use 01dffeb784c64d098c8c691ea589eb82 for the Qor-Client-Key header key.

Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json